- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage message service
- /
- Configure third-party email service
¶ Configure third-party email service
Update time: 2025-07-23 07:34:21
Configure third-party email service
¶ Method Name
AuthenticationClient.configEmailProvider
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| type | string | Yes | - | Third-party mail service provider type: - custom: Custom SMTP mail service- ali: Ali Enterprise Mailbox (opens new window)- qq: Tencent Enterprise Mailbox (opens new window)- sendgrid: SendGrid mail service (opens new window) | custom |
| enabled | boolean | Yes | - | Whether to enable. If not enabled, the built-in mail service of GenAuth will be used by default | true |
| smtpConfig | SMTPEmailProviderConfigInput | No | - | SMTP mail service configuration | |
| sendGridConfig | SendGridEmailProviderConfigInput | No | - | SendGrid mail service configuration | |
| aliExmailConfig | AliExmailEmailProviderConfigInput | No | - | Ali enterprise mail service configuration | |
| tencentExmailConfig | TencentExmailEmailProviderConfigInput | No | - | Tencent enterprise mail service configuration |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.AliExmailEmailProviderConfigInput;
import cn.authing.sdk.java.dto.ConfigEmailProviderDto;
import cn.authing.sdk.java.dto.EmailProviderRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class ConfigEmailProviderTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
ConfigEmailProviderDto reqDto = new ConfigEmailProviderDto();
reqDto.setType(ConfigEmailProviderDto.Type.ALI);
reqDto.setEnabled(Boolean.FALSE);
AliExmailEmailProviderConfigInput configInput = new AliExmailEmailProviderConfigInput();
configInput.setSender("sender");
configInput.setSenderPass("password1");
reqDto.setAliExmailConfig(configInput);
EmailProviderRespDto response = client.configEmailProvider(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: EmailProviderRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | This error code is used to get the specific error type. |
| requestId | string | Request ID. Returned when the request fails. |
| data | EmailProviderDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"enabled": true,
"type": "custom",
"smtpConfig": {
"smtp_host": "smtp.example.com",
"smtp_port": 465,
"sender": "test",
"senderPass": "passw0rd",
"secure": true
},
"sendGridConfig": {
"sender": "test",
"apikey": "xxxxxxxxxx"
},
"aliExmailConfig": {
"sender": "test",
"senderPass": "passw0rd"
},
"tencentExmailConfig": {
"sender": "test",
"senderPass": "passw0rd"
}
}
}
¶ Data Structure
¶ SMTPEmailProviderConfigInput
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| smtp_host | string | yes | SMTP address | smtp.example.com |
| smtp_port | number | yes | SMTP port | 465 |
| sender | string | no | Username | test |
| senderPass | string | yes | Password | passw0rd |
| secure | boolean | no | Whether to enable SSL | true |
¶ SendGridEmailProviderConfigInput
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| apikey | string | yes | SendGrid API Key, see [SendGrid documentation] for details(https://docs.sendgrid.com/ui/account-and-settings/api-keys)。 | xxxxxxxxxx |
¶ AliExmailEmailProviderConfigInput
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| senderPass | string | yes | password | passw0rd |
¶ TencentExmailEmailProviderConfigInput
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| senderPass | string | yes | password | passw0rd |
¶ EmailProviderDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| enabled | boolean | yes | Whether to enable. If not enabled, the built-in mail service of GenAuth will be used by default | true |
| type | string | no | Third-party mail service provider type: - custom: Custom SMTP mail service- ali: Ali Enterprise Mailbox (opens new window)- qq: Tencent Enterprise Mailbox (opens new window)- sendgrid: SendGrid Mail Service (opens new window) | ali |
| smtpConfig | no | SMTP mail service configuration Nested Type: SMTPEmailProviderConfig. | ||
| sendGridConfig | No | SendGrid email service configuration Nested Type: SendGridEmailProviderConfig. | ||
| aliExmailConfig | No | Ali enterprise email service configuration Nested Type: AliExmailEmailProviderConfig. | ||
| tencentExmailConfig | No | Tencent enterprise email service configuration Nested Type:TencentExmailEmailProviderConfig。 |
¶ SMTPEmailProviderConfig
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| smtp_host | string | yes | SMTP address | smtp.example.com |
| smtp_port | number | yes | SMTP port | 465 |
| sender | string | yes | Username | test |
| senderPass | string | yes | Password | passw0rd |
| secure | boolean | yes | Whether to enable SSL | true |
¶ SendGridEmailProviderConfig
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| apikey | string | yes | SendGrid API Key, see [SendGrid documentation] for details(https://docs.sendgrid.com/ui/account-and-settings/api-keys)。 | xxxxxxxxxx |
¶ AliExmailEmailProviderConfig
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| senderPass | string | yes | password | passw0rd |
¶ TencentExmailEmailProviderConfig
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| senderPass | string | yes | password | passw0rd |
